<?php
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Ordenes/ordenes.php");
include("logos.php");
include("conexion2.php");

$v_mysql=$conexion;
$nombrepagina = "INFORME DE ENVIOS POR FECHA";
encabezado($target);

$user=$_SESSION['validar'];
$_cli=$_SESSION['cliente'];
$tamano_pagina=20;
$_SESSION['tam']=$tamano_pagina;
unset($_SESSION['columnas']);
unset($columnas);
$columnas[]=$Tguia;
$columnas[]=$Torden;
$columnas[]="ESTADO";
$columnas[]="PRODUCTO";
//$columnas[]=$Tempresa;
if($_SESSION['id_user']=='45'){
	$columnas[]= "PQR";
	$Tempresa="PQR";
}else{
	$columnas[]=$Tempresa;
}

$columnas[]=$Tdestinatario;
$columnas[]=$Tdireccion;
$columnas[]=$Tespecial5;
$columnas[]=$Tidentificacion;
$columnas[]=$Tciudad;
$columnas[]=$Ttelefono;
$columnas[]=$Tespecial1;
$columnas[]=$Tespecial2;
$columnas[]=$Tespecial3;
$columnas[]=$Tespecial4;
$columnas[]="FECHA CARGUE";
$columnas[]="FECHA ENTREGA";

$_SESSION['header'] = $Tguia.';'.$Torden.';ESTADO;PRODUCTO;'.$Tempresa.';'.$Tdestinatario.';'.
        $Tdireccion.';'."COD_ZONA".';'.$Tespecial5.';'.$Tidentificacion.';'.$Tciudad.';'.
        $Ttelefono.';'.$Tespecial1.';'.$Tespecial2.';'.$Tespecial3.';'.$Tespecial4.';'.$Tespecial6.';'.
        $Tespecial7.';'.$Tespecial8.';'.$Tespecial9.';'.$Tespecial10.';PAQUETE';  

$campos_consulta="trim(a.guia),trim(a.orden),trim(e.nombre) as estado,trim(b.producto),trim(a.empresa) ,trim(a.destinatario),
    trim(a.direccion),cod_zona,DATE_FORMAT(a.especial5,'%d/%m/%Y') as especial5,trim(a.identificacion),trim(a.ciudad),
    trim(a.telefono),trim(a.especial1),trim(a.especial2),trim(a.especial3),trim(a.especial4),trim(a.especial6),
    trim(a.especial7),trim(a.especial8),trim(a.especial9),trim(a.especial10),trim(a.no_paquete)";


$_SESSION['columnas']=$columnas;
$_SESSION['campos_consulta']=$campos_consulta;
$pagina = $_GET["pagina"];
$usu=$_GET['id_user'];
$f1=$_GET['f1'];
$f2=$_GET['f2'];
$prod=$_GET['v_producto'];
$idsuc=$_GET['suc'];
if(!$pagina){
	$inicio=0;
	$_SESSION['inicio']=$inicio;
	$pagina=1;
}else{
	$inicio=($pagina-1)*$tamano_pagina;
	$_SESSION['inicio']=$inicio;
}
$filas=1;
if($filas == 1)
{
	class llamado{
		var $menuObj;
		function validar1($id_user,$id_sucursal){
			$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
		}
	}
	$llamadoObj=new llamado();
	$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	entrada($user,$_GET['id_user'],$_GET['suc']);
	echo"</td>";
	echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	mostrar_cabeza_trabajo($nombrepagina);

	$perfil=$_SESSION['perfil'];
	
	if($perfil==1){		
			$pregunta="";
		}else{		
			$pregunta=" and a.id_cliente='".$_cli."'";
	}
	
	if (!empty($prod)){
		$pregunta = $pregunta." and b.producto='".$prod."'";
	}

	
	$sql_tot="select count(*) as estado_tot from guias_proceso as a inner join ordenes as b on a.orden=b.orden
	where id_estado in (12,13,14,15,16,17) and fecha_cargue between '".$f1."' and '".$f2."'".$pregunta;

	$rst_tot=mysql_query($sql_tot,$v_mysql) or die (mysql_error());
	$arr_tot=mysql_fetch_array($rst_tot);

	$sql_12="select count(*) as estado_12 from guias_proceso as a inner join ordenes as b on a.orden=b.orden
	where id_estado='12' and fecha_cargue between '".$f1."' and '".$f2."'".$pregunta;
	$rst_12=mysql_query($sql_12,$v_mysql) or die (mysql_error());
	$arr_12=mysql_fetch_array($rst_12);
	
	
	$sql_13="select count(*) as estado_13 from guias_proceso as a inner join ordenes as b on a.orden=b.orden
	where id_estado='13' and fecha_cargue between '".$f1."' and '".$f2."'".$pregunta;
	$rst_13=mysql_query($sql_13,$v_mysql) or die (mysql_error());
	$arr_13=mysql_fetch_array($rst_13);


	$sql_14="select count(*) as estado_14 from guias_proceso as a inner join ordenes as b on a.orden=b.orden
	where id_estado=14 and fecha_cargue between '".$f1."' and '".$f2."'".$pregunta;
	$rst_14=mysql_query($sql_14,$v_mysql);
	$arr_14=mysql_fetch_array($rst_14);



	$sql_15="select count(*) as estado_15 from guias_proceso as a inner join ordenes as b on a.orden=b.orden
	where id_estado=15 and fecha_cargue between '".$f1."' and '".$f2."'".$pregunta;
	$rst_15=mysql_query($sql_15,$v_mysql);
	$arr_15=mysql_fetch_array($rst_15);


	$sql_16="select count(*) as estado_16 from guias_proceso as a inner join ordenes as b on a.orden=b.orden
	where id_estado=16 and fecha_cargue between '".$f1."' and '".$f2."'".$pregunta;
	$rst_16=mysql_query($sql_16,$v_mysql);
	$arr_16=mysql_fetch_array($rst_16);

	$sql_17="select count(*) as estado_17 from guias_proceso as a inner join ordenes as b on a.orden=b.orden
	where id_estado=17 and fecha_cargue between '".$f1."' and '".$f2."'".$pregunta;
	$rst_17=mysql_query($sql_17,$v_mysql);
	$arr_17=mysql_fetch_array($rst_17);


	$sql_estados="select *from estados_gestion where id_estado in(12,13,14,15,16,17) order by id_estado";
	$rst_est = mysql_query($sql_estados,$v_mysql) or die (mysql_error());;

	$ArrCntEstado[]=$arr_12["estado_12"];
	$ArrCntEstado[]=$arr_13["estado_13"];
	$ArrCntEstado[]=$arr_14["estado_14"];
	$ArrCntEstado[]=$arr_15["estado_15"];
	$ArrCntEstado[]=$arr_16["estado_16"];
	$ArrCntEstado[]=$arr_17["estado_17"];
?>
<CENTER>

<table width="615" border="0" class="primaria">
<tr>
<td colspan="9" align="center">
</td>
</tr>
<tr>
<td colspan="9" align="center">
<? echo "<FONT color='#F3250A'>DESDE: </FONT><FONT color='#308DC7'>";
if($f1==''){
	echo "0000-00-00";
}else{
	echo $f1;
}
echo "</FONT>";?>
</td>
</tr>
<tr>
<td colspan="9" align="center">
<? echo "<FONT color='#F3250A'>HASTA: </FONT><FONT color='#308DC7'>";
if($f2==''){
	echo "0000-00-00";
}else{
	echo $f2;
}
echo "</FONT>";

if (!empty($prod)){
	?>
	</td>
</tr>
<tr>
	<td colspan="9" align="center">
<? echo "<FONT color='#F3250A'>PRODUCTO: </FONT><FONT color='#308DC7'>";
echo $prod;
echo "</FONT>";
}
?>



</td>
</tr>
<tr>
<td colspan="9"><div align="LEFT">
<a href='consulta_guiascliente.php?suc=<?echo $idsuc;?>&id_user=<?echo $usu;?> class='mainlevel'><b>REGRESAR</b></a>		
</div></td>
</tr>
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1><div align="center">..:: INFORME DE ENVIOS POR FECHA ::..</div></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width="210">Descripcion Estado de Gestion</td>
<td valign=top class=miTable_th1 width="50">Cantidad</td>
<td valign=top class=miTable_th1 width="100">Accion</td>
<td valign=top class=miTable_th1 width="60">Exportar</td>
</tr>

</tr>
<div align="center">
<?
$i=0;
$arr_tot["estado_tot"];
$nestado="(12,13,14,15,16,17)";
echo "<tr class=miTable_tr>";
echo "<td valign=top class=miTable_td>TOTAL ENVIOS</td>";
echo "<td valign=top class=miTable_td>".$arr_tot["estado_tot"]."</td>";
echo "<td valign=middle class=miTable_td>";
echo "<a href='detalle_guiascliente.php?cliente=$_cli&f1=$f1&f2=$f2&suc=$idsuc&id_user=$usu&nestado=$nestado&_prod=$prod'>
Ver Detalles</a>";
echo "<td valign=middle class=miTable_td>";
echo "<a href='export_csv_estadistica.php?nom_arc=Total_Envios&cliente=$_cli&est_gestion=$nestado&fini=$f1&ffin=$f2&_prod=$prod' onclick=\"displayStaticMessage('<p align=center><font color=#008400><b>Espere por Favor se esta Generando Archivo XLS</b><br><img src=\'imagenes/xls_icon.gif\'><br>Al Terminar Proceso Cerrar Ventana </font><br><input type=submit value=Cerrar class=inputbox onclick=\'closeMessage();return false\'></p>',false)\" title='Exportar XLS Estados'><img src='imagenes/txt_icon.gif'></a> ";

while($row_est=mysql_fetch_array($rst_est)){
	$nestado="(".$row_est['id_estado'].")";
	$nnombre=trim($row_est['nombre']);
//	$add1 = "where id_estado in ".$nestado." and fecha_cargue between '".$f1."' and '".$f2."'".$pregunta;
//	$_SESSION['add']=$add1;
	
	echo "<tr class=miTable_tr>";
	echo "<td valign=top class=miTable_td>".$row_est['nombre']."</td>";
	echo "<td valign=top class=miTable_td>".$ArrCntEstado[$i]."</td>";
	echo "<td valign=middle class=miTable_td>";
	$i++;
echo "<a href='detalle_guiascliente.php?cliente=$_cli&f1=$f1&f2=$f2&suc=$idsuc&id_user=$usu&nestado=$nestado&_prod=$prod'>
Ver Detalles</a>";
echo "<td valign=middle class=miTable_td>";
echo "<a href='export_csv_estadistica.php?nom_arc=$nnombre&cliente=$_cli&est_gestion=$nestado&fini=$f1&ffin=$f2&_prod=$prod' onclick=\"displayStaticMessage('<p align=center><font color=#008400><b>Espere por Favor se esta Generando Archivo XLS</b><br><img src=\'imagenes/xls_icon.gif\'><br>Al Terminar Proceso Cerrar Ventana </font><br><input type=submit value=Cerrar class=inputbox onclick=\'closeMessage();return false\'></p>',false)\" title='Exportar XLS Estados'><img src='imagenes/txt_icon.gif'></a> ";
}


?>
</div>
</td>
</tr>

</table>

</CENTER>

	 <?
	 mostrar_pie();
}
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
	?>
	 <td>
	  <center>
	  <?
        pie_de_pagina();
        ?>
	  </center>
	 </td>
	<?php
	echo"</tr>";
	echo"</tbody></table>";

	echo"</center>";
	echo"</body>";
	echo"</html>";
?>